## org.apache.cassandra.thrift
Class Cassandra.Client

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.Client

All Implemented Interfaces:
  Cassandra.Iface

Enclosing class:
  Cassandra

    public static class Cassandra.Client

extends java.lang.Object
implements Cassandra.Iface

Field Summary
`protected org.apache.thrift.protocol.TProtocol` `iprot_`
`protected org.apache.thrift.protocol.TProtocol` `oprot_`
`protected int` `seqid_`

Constructor Summary
`Cassandra.Client(org.apache.thrift.protocol.TProtocol prot)`
`Cassandra.Client(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

Method Summary
`void` `batch_insert(java.lang.String keyspace, java.lang.String key, java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> cfmap, ConsistencyLevel consistency_level)` Insert Columns or SuperColumns across different Column Families for the same row key.
`void` `batch_mutate(java.lang.String keyspace, java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level)` Mutate many columns or super columns for many row keys.
`java.lang.String` `describe_cluster_name()` get the cluster name
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` `describe_keyspace(java.lang.String keyspace)` describe specified keyspace
`java.util.Set<java.lang.String>` `describe_keyspaces()` list the defined keyspaces in this cluster
`java.lang.String` `describe_partitioner()` returns the partitioner used by this cluster

`java.util.List<TokenRange>`

`describe_ring(java.lang.String keyspace)`
get the token ring: a map of ranges to host addresses, represented as a set of TokenRange instead of a map from range to list of endpoints, because you can't use Thrift structs as map keys: https://issues.apache.org/jira/browse/THRIFT-162 for the same reason, we can't return a set here, even though order is neither important nor predictable.

`java.util.List<java.lang.String>` `describe_splits(java.lang.String start_token, java.lang.String end_token, int keys_per_split)` experimental API for hadoop/parallel query support.
`java.lang.String` `describe_version()` get the thrift api version
`int` `get_count(java.lang.String keyspace, java.lang.String key, ColumnParent column_parent, ConsistencyLevel consistency_level)` returns the number of columns for a particular `key` and `ColumnFamily` or `SuperColumn`.
`java.util.List<KeySlice>` `get_range_slice(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, java.lang.String start_key, java.lang.String finish_key, int row_count, ConsistencyLevel consistency_level)` returns a subset of columns for a range of keys.
`java.util.List<KeySlice>` `get_range_slices(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level)` returns a subset of columns for a range of keys.
`java.util.List<ColumnOrSuperColumn>` `get_slice(java.lang.String keyspace, java.lang.String key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)` Get the group of columns contained by column_parent (either a ColumnFamily name or a ColumnFamily/SuperColumn name pair) specified by the given SlicePredicate.
`java.util.List<java.lang.String>` `get_string_list_property(java.lang.String property)` get property whose value is list of strings.
`java.lang.String` `get_string_property(java.lang.String property)` get property whose value is of type string.
`ColumnOrSuperColumn` `get(java.lang.String keyspace, java.lang.String key, ColumnPath column_path, ConsistencyLevel consistency_level)` Get the Column or SuperColumn at the given column_path.
`org.apache.thrift.protocol.TProtocol` `getInputProtocol()`
`org.apache.thrift.protocol.TProtocol` `getOutputProtocol()`
`void` `insert(java.lang.String keyspace, java.lang.String key, ColumnPath column_path, byte[] value, long timestamp, ConsistencyLevel consistency_level)` Insert a Column consisting of (column_path.column, value, timestamp) at the given column_path.column_family and optional column_path.super_column.
`void` `login(java.lang.String keyspace, AuthenticationRequest auth_request)`
`java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>>` `multiget_slice(java.lang.String keyspace, java.util.List<java.lang.String> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)` Performs a get_slice for column_parent and predicate for the given keys in parallel.
`java.util.Map<java.lang.String,ColumnOrSuperColumn>` `multiget(java.lang.String keyspace, java.util.List<java.lang.String> keys, ColumnPath column_path, ConsistencyLevel consistency_level)` Perform a get for column_path in parallel on the given list<string> keys.
`void` `recv_batch_insert()`
`void` `recv_batch_mutate()`
`java.lang.String` `recv_describe_cluster_name()`
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` `recv_describe_keyspace()`
`java.util.Set<java.lang.String>` `recv_describe_keyspaces()`
`java.lang.String` `recv_describe_partitioner()`
`java.util.List<TokenRange>` `recv_describe_ring()`
`java.util.List<java.lang.String>` `recv_describe_splits()`
`java.lang.String` `recv_describe_version()`
`int` `recv_get_count()`
`java.util.List<KeySlice>` `recv_get_range_slice()`
`java.util.List<KeySlice>` `recv_get_range_slices()`
`java.util.List<ColumnOrSuperColumn>` `recv_get_slice()`
`java.util.List<java.lang.String>` `recv_get_string_list_property()`
`java.lang.String` `recv_get_string_property()`
`ColumnOrSuperColumn` `recv_get()`
`void` `recv_insert()`
`void` `recv_login()`
`java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>>` `recv_multiget_slice()`
`java.util.Map<java.lang.String,ColumnOrSuperColumn>` `recv_multiget()`
`void` `recv_remove()`
`void` `remove(java.lang.String keyspace, java.lang.String key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level)` Remove data from the row specified by key at the granularity specified by column_path, and the given timestamp.
`void` `send_batch_insert(java.lang.String keyspace, java.lang.String key, java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> cfmap, ConsistencyLevel consistency_level)`
`void` `send_batch_mutate(java.lang.String keyspace, java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level)`
`void` `send_describe_cluster_name()`
`void` `send_describe_keyspace(java.lang.String keyspace)`
`void` `send_describe_keyspaces()`
`void` `send_describe_partitioner()`
`void` `send_describe_ring(java.lang.String keyspace)`
`void` `send_describe_splits(java.lang.String start_token, java.lang.String end_token, int keys_per_split)`
`void` `send_describe_version()`
`void` `send_get_count(java.lang.String keyspace, java.lang.String key, ColumnParent column_parent, ConsistencyLevel consistency_level)`
`void` `send_get_range_slice(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, java.lang.String start_key, java.lang.String finish_key, int row_count, ConsistencyLevel consistency_level)`
`void` `send_get_range_slices(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level)`
`void` `send_get_slice(java.lang.String keyspace, java.lang.String key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)`
`void` `send_get_string_list_property(java.lang.String property)`
`void` `send_get_string_property(java.lang.String property)`
`void` `send_get(java.lang.String keyspace, java.lang.String key, ColumnPath column_path, ConsistencyLevel consistency_level)`
`void` `send_insert(java.lang.String keyspace, java.lang.String key, ColumnPath column_path, byte[] value, long timestamp, ConsistencyLevel consistency_level)`
`void` `send_login(java.lang.String keyspace, AuthenticationRequest auth_request)`
`void` `send_multiget_slice(java.lang.String keyspace, java.util.List<java.lang.String> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level)`
`void` `send_multiget(java.lang.String keyspace, java.util.List<java.lang.String> keys, ColumnPath column_path, ConsistencyLevel consistency_level)`
`void` `send_remove(java.lang.String keyspace, java.lang.String key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iprot_

    protected org.apache.thrift.protocol.TProtocol iprot_

### oprot_

    protected org.apache.thrift.protocol.TProtocol oprot_

### seqid_

    protected int seqid_

Constructor Detail

### Cassandra.Client

    public Cassandra.Client(org.apache.thrift.protocol.TProtocol prot)

### Cassandra.Client

    public Cassandra.Client(org.apache.thrift.protocol.TProtocol iprot,
                            org.apache.thrift.protocol.TProtocol oprot)

Method Detail

### getInputProtocol

    public org.apache.thrift.protocol.TProtocol getInputProtocol()

### getOutputProtocol

    public org.apache.thrift.protocol.TProtocol getOutputProtocol()

### login

    public void login(java.lang.String keyspace,
                      AuthenticationRequest auth_request)
               throws AuthenticationException,
                      AuthorizationException,
                      org.apache.thrift.TException

  Specified by:
    `login` in interface `Cassandra.Iface`
  Throws:
    `AuthenticationException`
    `AuthorizationException`
    `org.apache.thrift.TException`

### send_login

    public void send_login(java.lang.String keyspace,
                           AuthenticationRequest auth_request)
                    throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_login

    public void recv_login()
                    throws AuthenticationException,
                           AuthorizationException,
                           org.apache.thrift.TException

  Throws:
    `AuthenticationException`
    `AuthorizationException`
    `org.apache.thrift.TException`

### get

    public ColumnOrSuperColumn get(java.lang.String keyspace,
                                   java.lang.String key,
                                   ColumnPath column_path,
                                   ConsistencyLevel consistency_level)
                            throws InvalidRequestException,
                                   NotFoundException,
                                   UnavailableException,
                                   TimedOutException,
                                   org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Get the Column or SuperColumn at the given column_path. If no value is present, NotFoundException is thrown. (This is the only method that can throw an exception under non-failure conditions.)

  Specified by:
    `get` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `NotFoundException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_get

    public void send_get(java.lang.String keyspace,
                         java.lang.String key,
                         ColumnPath column_path,
                         ConsistencyLevel consistency_level)
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_get

    public ColumnOrSuperColumn recv_get()
                                 throws InvalidRequestException,
                                        NotFoundException,
                                        UnavailableException,
                                        TimedOutException,
                                        org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `NotFoundException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### get_slice

    public java.util.List<ColumnOrSuperColumn> get_slice(java.lang.String keyspace,
                                                         java.lang.String key,
                                                         ColumnParent column_parent,
                                                         SlicePredicate predicate,
                                                         ConsistencyLevel consistency_level)
                                                  throws InvalidRequestException,
                                                         UnavailableException,
                                                         TimedOutException,
                                                         org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Get the group of columns contained by column_parent (either a ColumnFamily name or a ColumnFamily/SuperColumn name pair) specified by the given SlicePredicate. If no matching values are found, an empty list is returned.

  Specified by:
    `get_slice` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_get_slice

    public void send_get_slice(java.lang.String keyspace,
                               java.lang.String key,
                               ColumnParent column_parent,
                               SlicePredicate predicate,
                               ConsistencyLevel consistency_level)
                        throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_get_slice

    public java.util.List<ColumnOrSuperColumn> recv_get_slice()
                                                       throws InvalidRequestException,
                                                              UnavailableException,
                                                              TimedOutException,
                                                              org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### multiget

    public java.util.Map<java.lang.String,ColumnOrSuperColumn> multiget(java.lang.String keyspace,
                                                                        java.util.List<java.lang.String> keys,
                                                                        ColumnPath column_path,
                                                                        ConsistencyLevel consistency_level)
                                                                 throws InvalidRequestException,
                                                                        UnavailableException,
                                                                        TimedOutException,
                                                                        org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Perform a get for column_path in parallel on the given list<string> keys. The return value maps keys to the ColumnOrSuperColumn found. If no value corresponding to a key is present, the key will still be in the map, but both the column and super_column references of the ColumnOrSuperColumn object it maps to will be null.

  Specified by:
    `multiget` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_multiget

    public void send_multiget(java.lang.String keyspace,
                              java.util.List<java.lang.String> keys,
                              ColumnPath column_path,
                              ConsistencyLevel consistency_level)
                       throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_multiget

    public java.util.Map<java.lang.String,ColumnOrSuperColumn> recv_multiget()
                                                                      throws InvalidRequestException,
                                                                             UnavailableException,
                                                                             TimedOutException,
                                                                             org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### multiget_slice

    public java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> multiget_slice(java.lang.String keyspace,
                                                                                              java.util.List<java.lang.String> keys,
                                                                                              ColumnParent column_parent,
                                                                                              SlicePredicate predicate,
                                                                                              ConsistencyLevel consistency_level)
                                                                                       throws InvalidRequestException,
                                                                                              UnavailableException,
                                                                                              TimedOutException,
                                                                                              org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Performs a get_slice for column_parent and predicate for the given keys in parallel.

  Specified by:
    `multiget_slice` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_multiget_slice

    public void send_multiget_slice(java.lang.String keyspace,
                                    java.util.List<java.lang.String> keys,
                                    ColumnParent column_parent,
                                    SlicePredicate predicate,
                                    ConsistencyLevel consistency_level)
                             throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_multiget_slice

    public java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> recv_multiget_slice()
                                                                                            throws InvalidRequestException,
                                                                                                   UnavailableException,
                                                                                                   TimedOutException,
                                                                                                   org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### get_count

    public int get_count(java.lang.String keyspace,
                         java.lang.String key,
                         ColumnParent column_parent,
                         ConsistencyLevel consistency_level)
                  throws InvalidRequestException,
                         UnavailableException,
                         TimedOutException,
                         org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  returns the number of columns for a particular `key` and `ColumnFamily` or `SuperColumn`.

  Specified by:
    `get_count` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_get_count

    public void send_get_count(java.lang.String keyspace,
                               java.lang.String key,
                               ColumnParent column_parent,
                               ConsistencyLevel consistency_level)
                        throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_get_count

    public int recv_get_count()
                       throws InvalidRequestException,
                              UnavailableException,
                              TimedOutException,
                              org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### get_range_slice

    public java.util.List<KeySlice> get_range_slice(java.lang.String keyspace,
                                                    ColumnParent column_parent,
                                                    SlicePredicate predicate,
                                                    java.lang.String start_key,
                                                    java.lang.String finish_key,
                                                    int row_count,
                                                    ConsistencyLevel consistency_level)
                                             throws InvalidRequestException,
                                                    UnavailableException,
                                                    TimedOutException,
                                                    org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  returns a subset of columns for a range of keys.

  Specified by:
    `get_range_slice` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_get_range_slice

    public void send_get_range_slice(java.lang.String keyspace,
                                     ColumnParent column_parent,
                                     SlicePredicate predicate,
                                     java.lang.String start_key,
                                     java.lang.String finish_key,
                                     int row_count,
                                     ConsistencyLevel consistency_level)
                              throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_get_range_slice

    public java.util.List<KeySlice> recv_get_range_slice()
                                                  throws InvalidRequestException,
                                                         UnavailableException,
                                                         TimedOutException,
                                                         org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### get_range_slices

    public java.util.List<KeySlice> get_range_slices(java.lang.String keyspace,
                                                     ColumnParent column_parent,
                                                     SlicePredicate predicate,
                                                     KeyRange range,
                                                     ConsistencyLevel consistency_level)
                                              throws InvalidRequestException,
                                                     UnavailableException,
                                                     TimedOutException,
                                                     org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  returns a subset of columns for a range of keys.

  Specified by:
    `get_range_slices` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_get_range_slices

    public void send_get_range_slices(java.lang.String keyspace,
                                      ColumnParent column_parent,
                                      SlicePredicate predicate,
                                      KeyRange range,
                                      ConsistencyLevel consistency_level)
                               throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_get_range_slices

    public java.util.List<KeySlice> recv_get_range_slices()
                                                   throws InvalidRequestException,
                                                          UnavailableException,
                                                          TimedOutException,
                                                          org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### insert

    public void insert(java.lang.String keyspace,
                       java.lang.String key,
                       ColumnPath column_path,
                       byte[] value,
                       long timestamp,
                       ConsistencyLevel consistency_level)
                throws InvalidRequestException,
                       UnavailableException,
                       TimedOutException,
                       org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Insert a Column consisting of (column_path.column, value, timestamp) at the given column_path.column_family and optional column_path.super_column. Note that column_path.column is here required, since a SuperColumn cannot directly contain binary values -- it can only contain sub-Columns.

  Specified by:
    `insert` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_insert

    public void send_insert(java.lang.String keyspace,
                            java.lang.String key,
                            ColumnPath column_path,
                            byte[] value,
                            long timestamp,
                            ConsistencyLevel consistency_level)
                     throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_insert

    public void recv_insert()
                     throws InvalidRequestException,
                            UnavailableException,
                            TimedOutException,
                            org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### batch_insert

    public void batch_insert(java.lang.String keyspace,
                             java.lang.String key,
                             java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> cfmap,
                             ConsistencyLevel consistency_level)
                      throws InvalidRequestException,
                             UnavailableException,
                             TimedOutException,
                             org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Insert Columns or SuperColumns across different Column Families for the same row key. batch_mutation is a map<string, list<ColumnOrSuperColumn>> -- a map which pairs column family names with the relevant ColumnOrSuperColumn objects to insert.

  Specified by:
    `batch_insert` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_batch_insert

    public void send_batch_insert(java.lang.String keyspace,
                                  java.lang.String key,
                                  java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> cfmap,
                                  ConsistencyLevel consistency_level)
                           throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_batch_insert

    public void recv_batch_insert()
                           throws InvalidRequestException,
                                  UnavailableException,
                                  TimedOutException,
                                  org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### remove

    public void remove(java.lang.String keyspace,
                       java.lang.String key,
                       ColumnPath column_path,
                       long timestamp,
                       ConsistencyLevel consistency_level)
                throws InvalidRequestException,
                       UnavailableException,
                       TimedOutException,
                       org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Remove data from the row specified by key at the granularity specified by column_path, and the given timestamp. Note that all the values in column_path besides column_path.column_family are truly optional: you can remove the entire row by just specifying the ColumnFamily, or you can remove a SuperColumn or a single Column by specifying those levels too.

  Specified by:
    `remove` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_remove

    public void send_remove(java.lang.String keyspace,
                            java.lang.String key,
                            ColumnPath column_path,
                            long timestamp,
                            ConsistencyLevel consistency_level)
                     throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_remove

    public void recv_remove()
                     throws InvalidRequestException,
                            UnavailableException,
                            TimedOutException,
                            org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### batch_mutate

    public void batch_mutate(java.lang.String keyspace,
                             java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                             ConsistencyLevel consistency_level)
                      throws InvalidRequestException,
                             UnavailableException,
                             TimedOutException,
                             org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  Mutate many columns or super columns for many row keys. See also: Mutation. mutation_map maps key to column family to a list of Mutation objects to take place at that scope. *

  Specified by:
    `batch_mutate` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### send_batch_mutate

    public void send_batch_mutate(java.lang.String keyspace,
                                  java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                                  ConsistencyLevel consistency_level)
                           throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_batch_mutate

    public void recv_batch_mutate()
                           throws InvalidRequestException,
                                  UnavailableException,
                                  TimedOutException,
                                  org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `org.apache.thrift.TException`

### get_string_property

    public java.lang.String get_string_property(java.lang.String property)
                                         throws org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  get property whose value is of type string. @Deprecated

  Specified by:
    `get_string_property` in interface `Cassandra.Iface`
  Throws:
    `org.apache.thrift.TException`

### send_get_string_property

    public void send_get_string_property(java.lang.String property)
                                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_get_string_property

    public java.lang.String recv_get_string_property()
                                              throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### get_string_list_property

    public java.util.List<java.lang.String> get_string_list_property(java.lang.String property)
                                                              throws org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  get property whose value is list of strings. @Deprecated

  Specified by:
    `get_string_list_property` in interface `Cassandra.Iface`
  Throws:
    `org.apache.thrift.TException`

### send_get_string_list_property

    public void send_get_string_list_property(java.lang.String property)
                                       throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_get_string_list_property

    public java.util.List<java.lang.String> recv_get_string_list_property()
                                                                   throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_keyspaces

    public java.util.Set<java.lang.String> describe_keyspaces()
                                                       throws org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  list the defined keyspaces in this cluster

  Specified by:
    `describe_keyspaces` in interface `Cassandra.Iface`
  Throws:
    `org.apache.thrift.TException`

### send_describe_keyspaces

    public void send_describe_keyspaces()
                                 throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_describe_keyspaces

    public java.util.Set<java.lang.String> recv_describe_keyspaces()
                                                            throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_cluster_name

    public java.lang.String describe_cluster_name()
                                           throws org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  get the cluster name

  Specified by:
    `describe_cluster_name` in interface `Cassandra.Iface`
  Throws:
    `org.apache.thrift.TException`

### send_describe_cluster_name

    public void send_describe_cluster_name()
                                    throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_describe_cluster_name

    public java.lang.String recv_describe_cluster_name()
                                                throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_version

    public java.lang.String describe_version()
                                      throws org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  get the thrift api version

  Specified by:
    `describe_version` in interface `Cassandra.Iface`
  Throws:
    `org.apache.thrift.TException`

### send_describe_version

    public void send_describe_version()
                               throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_describe_version

    public java.lang.String recv_describe_version()
                                           throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_ring

    public java.util.List<TokenRange> describe_ring(java.lang.String keyspace)
                                             throws InvalidRequestException,
                                                    org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  get the token ring: a map of ranges to host addresses, represented as a set of TokenRange instead of a map from range to list of endpoints, because you can't use Thrift structs as map keys: https://issues.apache.org/jira/browse/THRIFT-162 for the same reason, we can't return a set here, even though order is neither important nor predictable.

  Specified by:
    `describe_ring` in interface `Cassandra.Iface`
  Throws:
    `InvalidRequestException`
    `org.apache.thrift.TException`

### send_describe_ring

    public void send_describe_ring(java.lang.String keyspace)
                            throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_describe_ring

    public java.util.List<TokenRange> recv_describe_ring()
                                                  throws InvalidRequestException,
                                                         org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `org.apache.thrift.TException`

### describe_partitioner

    public java.lang.String describe_partitioner()
                                          throws org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  returns the partitioner used by this cluster

  Specified by:
    `describe_partitioner` in interface `Cassandra.Iface`
  Throws:
    `org.apache.thrift.TException`

### send_describe_partitioner

    public void send_describe_partitioner()
                                   throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_describe_partitioner

    public java.lang.String recv_describe_partitioner()
                                               throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_keyspace

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> describe_keyspace(java.lang.String keyspace)
                                                                                                       throws NotFoundException,
                                                                                                              org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  describe specified keyspace

  Specified by:
    `describe_keyspace` in interface `Cassandra.Iface`
  Throws:
    `NotFoundException`
    `org.apache.thrift.TException`

### send_describe_keyspace

    public void send_describe_keyspace(java.lang.String keyspace)
                                throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_describe_keyspace

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> recv_describe_keyspace()
                                                                                                            throws NotFoundException,
                                                                                                                   org.apache.thrift.TException

  Throws:
    `NotFoundException`
    `org.apache.thrift.TException`

### describe_splits

    public java.util.List<java.lang.String> describe_splits(java.lang.String start_token,
                                                            java.lang.String end_token,
                                                            int keys_per_split)
                                                     throws org.apache.thrift.TException

  Description copied from interface: `Cassandra.Iface`
  experimental API for hadoop/parallel query support. may change violently and without warning. returns list of token strings such that first subrange is (list[0], list[1]], next is (list[1], list[2]], etc.

  Specified by:
    `describe_splits` in interface `Cassandra.Iface`
  Throws:
    `org.apache.thrift.TException`

### send_describe_splits

    public void send_describe_splits(java.lang.String start_token,
                                     java.lang.String end_token,
                                     int keys_per_split)
                              throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### recv_describe_splits

    public java.util.List<java.lang.String> recv_describe_splits()
                                                          throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2010 The Apache Software Foundation